%global debug_package %{nil}
Summary: a simple scientific calculator for complex numbers
Name: cgtkcalc
Version: 2.2.4
Release: 1
License: GPL
Group: X11/Applications
URL: http://cgtkcalc.sourceforge.net/
Packager: SAITOH Akira <s-akira@users.sourceforge.net>
Vendor: none
Source: %{name}-%{version}.tar.gz
Prefix: %{_prefix}
Buildroot: /var/tmp/cgtkcalc-root
%description
This program is a simple desktop calculator for complex number calculation. The real part, imaginary part, absolute value, and argument of a complex number can be input. (Requirements: GTK+.)
%prep
%setup

%build
%configure
make

%install
if test -d /usr/share/applications; then 
  APPLNK_DIR=/usr/share/applications
  APPLNK_SUB_DIR=""
  DESKTOP_FILE=cgtkcalc-gnome.desktop
else
  APPLNK_DIR=/usr/share/applnk
  APPLNK_SUB_DIR=Utilities
  DESKTOP_FILE=cgtkcalc.desktop
fi

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

echo '%defattr(-,root,root)' > cgtkcalc-files.list
echo '%doc AUTHORS COPYING ChangeLog ReadMe ReadMe-jp example.gtkrc' >> cgtkcalc-files.list
echo "$APPLNK_DIR/$APPLNK_SUB_DIR/$DESKTOP_FILE" >> cgtkcalc-files.list
echo '%{_prefix}/bin/cgtkcalc' >> cgtkcalc-files.list
echo '%{_prefix}/share/cgtkcalc/HELP_STR*' >> cgtkcalc-files.list
echo '%{_mandir}/man1/cgtkcalc.1.gz' >> cgtkcalc-files.list
echo '/usr/share/pixmaps/cgtkcalc.png' >> cgtkcalc-files.list

make prefix=$RPM_BUILD_ROOT/%{_prefix} install
make mandir=$RPM_BUILD_ROOT/%{_mandir} install.man
gzip $RPM_BUILD_ROOT/%{_mandir}/man1/cgtkcalc.1
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
mkdir -p $RPM_BUILD_ROOT/$APPLNK_DIR/$APPLNK_SUB_DIR
make _pixmaps_share_=$RPM_BUILD_ROOT/usr/share/pixmaps \
_applnk_dir_=$RPM_BUILD_ROOT/$APPLNK_DIR \
_applnk_sub_dir_=$APPLNK_SUB_DIR _desktop_file_=$DESKTOP_FILE install.gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f cgtkcalc-files.list
