#ifndef __BUTTONLIST_H__
#define __BUTTONLIST_H__

/*The index of the first button created for single-letter
  operation such as "*", "!" or digits.*/
#define   NB_FIRST_SINGLE_LETTER_OP   42

/*Define the button name as its index of the array in "ButtonList.c".*/
/*        <Name>   <Index>*/
#define   NB_CUT     0
#define   NB_COPY    1
#define   NB_PASTE   3
#define   NB_UNDO    4
#define   NB_DRPI    5  /*Change deg/rad/PIrad, the units for argument*/
#define   NB_CE      6
#define   NB_ACL     7
#define   NB_BS     13  /*Back Space*/
   /*real,..., arg*/
#define   NB_REAL    8
#define   NB_IMAG    9
#define   NB_ABS    10
#define   NB_ARG    11

#define   NB_EE     44
#define   NB_PM     76  /*+/-*/
#define   NB_POW    37  /*z^w*/
#define   NB_CONJ   35
   /*STO, M+, etc. */
#define   NB_STO    46
#define   NB_RCL    47
#define   NB_MADD   54
#define   NB_MSUB   55
#define   NB_MMUL   62
#define   NB_MDIV   63
#define   NB_MPOW   70
#define   NB_MCONJ  71   


#endif/*__BUTTONLIST_H__*/

