#ifndef __CMDLINEOPTIONS_H__
#define __CMDLINEOPTIONS_H__
#include <gtk/gtk.h>
/*Font color for labelRe, labelAbs, labelOp.*/
extern GdkColor fc_real, fc_abs, fc_op; /*defined in "cgtkcalc.c"*/

/*Make main window shrunk one.*/
void shrink_mwindow (GtkWidget *table, GtkWidget *hbox, GtkWidget *mwindow);
/*Use a cursor which looks like a hand.*/
void use_hand_cursor (GtkWidget *table);
/*Use PIrad for expressing argument.*/
void start_with_PIrad (void);
/*Use deg for expressing argument.*/
void start_with_deg (void);
/*Hide absolute value and argument.*/
void hide_absarg (GtkWidget *table);
/*Use the specified rc file, e.g, ~/mygtkrc.*/
void use_specified_rc (char *str, GtkWidget *window);

void handle_command_line_options (int _argc, char *_argv[],
                                  GtkWidget *mwindow,
                                  GtkWidget *table, GtkWidget *hbox,
                                  int *stv);

#endif /*__CMDLINEOPTIONS_H__*/
