/*
 *a simple calculator for complex number system
 *Akira Saitoh (1999)
 *---------------------------------------------------------
 *References
 * [1] Eric Harlow: DEVELOPING LINUX APPLICATIONS by Eric Harlow (1999)
 * [2] Eiji Takeda: GTK+ de hajimeru X programming (1999)
 */
/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif/*HAVE_CONFIG_H*/
#include "CreateHbox.h"
GtkWidget *labelMem;
GtkWidget *labelOp;

/*Create a handlebox which includes `Quit'-button, `Help'-button,
 *`Font'-togglebutton, `Dom.'-togglebutton, a label to show current
 *command and a label to show memorized value.
 */
GtkWidget *CreateHbox()
{
   GtkWidget *hbox;
   GtkWidget *handle;
   GtkWidget *toolbar = NULL;
   GtkWidget *frame;
   hbox = gtk_hbox_new (FALSE, 0);

   handle = gtk_handle_box_new ();
   gtk_box_pack_start (GTK_BOX (hbox), handle, FALSE, TRUE, 0);
   gtk_widget_show (handle);
    
   CreateToolbar (toolbar,handle);
  
   frame = gtk_frame_new (NULL);
   gtk_frame_set_shadow_type (GTK_FRAME (frame), GTK_SHADOW_ETCHED_OUT);
   gtk_box_pack_start (GTK_BOX (hbox), GTK_WIDGET (frame), TRUE, TRUE, 3);
   gtk_widget_show (frame);
  
   labelOp = gtk_label_new ("");
   gtk_misc_set_alignment (GTK_MISC (labelOp), .5, .5);
   gtk_container_add (GTK_CONTAINER (frame), GTK_WIDGET (labelOp));
   gtk_widget_show (labelOp);
                               
   frame = gtk_frame_new (NULL);
   gtk_frame_set_shadow_type (GTK_FRAME (frame), GTK_SHADOW_ETCHED_OUT);
   gtk_box_pack_start (GTK_BOX (hbox), GTK_WIDGET (frame), TRUE, TRUE, 3);
   gtk_widget_show (frame);

   labelMem = gtk_label_new ("");
   gtk_misc_set_alignment (GTK_MISC (labelMem), .5, .5);
   gtk_container_add (GTK_CONTAINER (frame), GTK_WIDGET (labelMem));
   gtk_widget_show (labelMem);

   return (hbox);
}
