#ifndef _WRITE_OUTPUT_H_
#define _WRITE_OUTPUT_H_
#include "cgtkcalc.h"
/* Whether or not write operations to stdout. */
extern int var_write_ops;

/*
   Create a string "a+bi" from labels on window.
   Specifying second parameter 'a' results in
   another format "a+bi = r ej theta".
   `buf' must have enough size F_BUF_SIZE.
*/
char *create_str_for_copy (char *buf, char fmt);

/* Write previous complex value and 
   str of current operation to stdout. */
void write_operation_stdout (_Sort_ sort, char *str);

#endif /*_WRITE_OUTPUT_H_*/
