/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif/*HAVE_CONFIG_H*/
#include "cgtkcalc.h"
   _InputPos_ inputpos = REAL;
/*use (0:radian, 1:PIrad, 2:degree) to measure the argument.*/
   _ArgUnit_ arg_unit = RADIAN;
/*Stack of input value and input command for each priority
 *level for binary operators.*/
   typInputs bufinputs[N_PR] = {
      {{0.0,0.0,0.0,0.0}, "", 1},
      {{0.0,0.0,0.0,0.0}, "", 2},
      {{0.0,0.0,0.0,0.0}, "", 3},
      {{0.0,0.0,0.0,0.0}, "", 4}};
/*currently displayed complex value*/
   zcomplex cz={0.0,0.0,0.0,0.0};

/* mz: memorized value*/
   zcomplex mz = {0.0,0.0,0.0,0.0};
/* buf_state: memorized state for UNDO*/
   memInputs buf_state[N_MI];
/* Number of memorized input set of values*/
   int n_memInputs = 0;
/*previously input binary command*/
   char prevCmd[CMD_SIZE] = "";
