#ifndef __CLIP_H__
#define __CLIP_H__
#include <gtk/gtk.h>

/*A string to be pasted*/ 
extern char* CopiedStr;
/*With this function, a widget owns a selection.*/
void own_pr_sel (GtkWidget *widget, char *str);
/*With this function, a widget requests the data from the owner,
  and waits for `selection_received' event.*/
void request_pr_sel (GtkWidget *widget);
/*When the widget obtained a selection, this function is called
  to set a datum.*/
void selection_obtained (GtkWidget *widget, GtkSelectionData *selection_data,
                         guint info, guint time_stamp, gpointer data );
/*Deal with received datum.*/
void selection_data_received (GtkWidget *widget, GtkSelectionData *selection_data,
                              gpointer data);
/*This function is called after `PASTE' button gets 
  `selection_received' event successfully.*/
void complete_paste_func (char *buffer0);
/*Set up event_boxRe to handle selections.*/
void setup_selection (void);

#endif/*__CLIP_H__*/
