/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
/*This file is to handle toggle buttons.
 *Author: SAITOH Akira
 */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif/*HAVE_CONFIG_H*/
#include "Clicked.h"
void button_pressed (GtkWidget *widget, gpointer data)
{
   char *str;
   str = (char *) data;/*get the label of pressed button here*/
   if (strcmp (str, "real") == 0)
    {
        inputpos = REAL;
        gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON(buttonList[NB_IMAG].widget), FALSE);
        gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON(buttonList[NB_ABS].widget), FALSE);
        gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON(buttonList[NB_ARG].widget), FALSE);
        return;
    }
    if (strcmp (str, "imag") == 0)
    {
        inputpos = IMAG;
        gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON(buttonList[NB_REAL].widget), FALSE);
        gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON(buttonList[NB_ABS].widget), FALSE);
        gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON(buttonList[NB_ARG].widget), FALSE);
        return;
    }
    if (strcmp (str, "abs") == 0)
    {
        inputpos = ABSO;
        gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON(buttonList[NB_REAL].widget), FALSE);
        gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON(buttonList[NB_IMAG].widget), FALSE);
        gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON(buttonList[NB_ARG].widget), FALSE);
        return;
    }
    if (strcmp (str, "arg") == 0)
    {
        inputpos = ARGU;
        gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON(buttonList[NB_REAL].widget), FALSE);
        gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON(buttonList[NB_IMAG].widget), FALSE);
        gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON(buttonList[NB_ABS].widget), FALSE);
        return;
    }
}
void button_released (GtkWidget *widget, gpointer data)
{
   char *str;
   str = (char *) data;/*get the label of released button here*/
  if (strcmp (str, "real") == 0)
  {
    gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON(buttonList[NB_REAL].widget), TRUE);
    return;
  }
  if (strcmp (str, "imag") == 0)
  {
    gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON(buttonList[NB_IMAG].widget), TRUE);
    return;
  }
  if (strcmp (str, "abs") == 0)
  {
    gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON(buttonList[NB_ABS].widget), TRUE);
    return;
  }
  if (strcmp (str, "arg") == 0)
  {
    gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON(buttonList[NB_ARG].widget), TRUE);
    return;
  }
}
