#ifndef __AUXILIARY_H__
#define __AUXILIARY_H__
#include "cgtkcalc.h"
#include <stdlib.h>
#include <ctype.h>
#define tPI 3.1415926535897932384626433832795028841971693993751058209749445923078164062862
#define te 2.7182818284590452353602874713526624977572470936999595749669676277240766303535

extern GtkWidget *labelMem;/*defined in "CreateHbox.c"*/
extern GtkWidget *labelOp;/*defined in "CreateHbox.c"*/

void TrimTrailingZeros (char *szDigits);
void TrimLeadingZeros (char *szDigits);
void TrimLeadingSigns (char *szDigits);

int is_Command (char *str);
int is_int (double r);
/*Yet Another round function*/
double yaround (double r);
/*add a string to sufficiently large buffer str.*/
char *str_plus (gchar *str, gchar *plus);
char *plus_str (gchar *plus, gchar *str);
/*do ordinary strcpy and terminate 'dest'.*/
char *strncpy_terminate (char *dest, char *src, int n);
/*return where c is in str.*/
int where_c_in_str (char *str, char c);

/*Clear inputs. (typInputs is declared in "cgtkcalc.h".)*/
void clear_inputs (typInputs inputs[N_PR]);
/*Copy inputs. (typInputs is declared in "cgtkcalc.h".)*/
void copy_inputs (typInputs d_inputs[N_PR], typInputs s_inputs[N_PR]);

#endif/*__AUXILIARY_H__*/
